Subject: definition of CBR vs. Guaranteed

From: [email-masked] (Mark W Garrett)
Date: Wed, 19 Jul 1995 09:25:15 -0400

Just an FYI on the state of CBR rate description in ATM.

 > > Scott:
 > > 1)  Why not offer CBR service instead?

 > > I am assuming here that CBR service provides an absolutely reliable
 > > delay bound just like G service; the difference lies in the fact that
 > > CBR's traffic descriptor is a peak rate (as opposed to G's token
 > > bucket, which allows the source to send bursts).

Masataka:
 > As ATM service is celled, ATM CBR service allows for burstiness.

Actually, CBR is defined using a token bucket also, because a peak
rate parameter is practically meaningless without a non-zero
interval over which to measure the rate.

The definition, however, has one big hole, which is that no one
knows how to set the bucket parameter, and the specs don't even
try.  In ATM-speak, PCR is the peak rate parameter and the
corresponding bucket parameter is called CDVT (for Cell Delay
Variation Tolerance), meaning essentially jitter tolerance.  CDVT
is not (presently) signalled in connection set-up, but it is set
as a matter of network provider policy.  It seems clear to everyone
that the value of CDVT starts small near the source, but must be
allowed to grow across the path (even with WFQ, Parekh says it must).
The issue has basically been deferred until the network interconnection
and resource allocation problems become real enough that it's worth
worrying about again.

My intuition is that CBR will not be regulated by having each VC
a separate entity in e.g. WFQ scheduler.  It's just too much accounting
at high speed.

-Mark

-------------------------------------------------------------------------------
			Bellcore   Rm. 2L-237			+1 201 829-4439
Mark W. Garrett		445 South St.			[email-masked]
			Morristown NJ 07960-6438  USA	     (FAX 201 829-2504)
                        WWW: ftp://thumper.bellcore.com/pub/mwg/homepage.html
-------------------------------------------------------------------------------

---

From: Masataka Ohta <[email-masked]>
Date: Mon, 24 Jul 95 18:42:26 JST

> Just an FYI on the state of CBR rate description in ATM.

Thank you.

> try.

So, isn't it a little more constructive to try to force ATM Forum
to make ATM CBR compatible with G service than discussing over the
possible difference from G service to not-yet-defined CBR service?

> In ATM-speak, PCR is the peak rate parameter and the

When CBR service is relayed by a router between two CBR VCs, the latter
VC must have large CDVT, whose amount MUST be determined by the router.

That is, as long as it is the *INTER*net, we need CBR with user
specified CDVT.

> a separate entity in e.g. WFQ scheduler.  It's just too much accounting

Many ATM switches, today, have the policer/shaper on individual CBR
VCs.

							Masataka Ohta